// messaged.cpp : implementation file
//

#include "stdafx.h"
#include "notexfer.h"
#include "messaged.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMessageDialog dialog


CMessageDialog::CMessageDialog(CWnd* pParent /*=NULL*/)
   : CDialog(CMessageDialog::IDD, pParent)
{
   //{{AFX_DATA_INIT(CMessageDialog)
      // NOTE: the ClassWizard will add member initialization here
   //}}AFX_DATA_INIT
}

CMessageDialog::CMessageDialog(int nErrorRID, CWnd* pParent)
   : CDialog(CMessageDialog::IDD, pParent)
{
   m_nErrorRID = nErrorRID;
}

void CMessageDialog::DoDataExchange(CDataExchange* pDX)
{
   CDialog::DoDataExchange(pDX);
   //{{AFX_DATA_MAP(CMessageDialog)
      // NOTE: the ClassWizard will add DDX and DDV calls here
   //}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CMessageDialog, CDialog)
   //{{AFX_MSG_MAP(CMessageDialog)
   //}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CMessageDialog message handlers

BOOL CMessageDialog::OnInitDialog()
{
   CDialog::OnInitDialog();
   
   //----- Get the error string, filling in if not found
   CString szMessage;
   
   szMessage.LoadString (m_nErrorRID);
   if (szMessage.IsEmpty())
   {
      char szTemp [100];
      wsprintf (szTemp, "Unknown error %d reported", m_nErrorRID);
      szMessage = szTemp;
   }
   SetDlgItemText (IDC_STATIC, szMessage);
   
   return TRUE;  // return TRUE  unless you set the focus to a control
}
